.hsearch{
  position: relative;  
  // &__block {}
  width: calc(100% - 10px); 
  padding: 5px;
  position: absolute;
  z-index: 9;
  top: 99px;
  transition: all 300s ease-in-out;  
  background: $blueColor;
  display: none;

  &__block {
    max-width: 100%;
    margin: 0 auto;
    input[type="text"] {
      width: 100%;
      outline: none;
      border: none;
      padding: 20px 10px;
      background: #f5f5f5;
    }             
  }
  
  &.active {
    left: 0;
    display: block;
    transform: translate3d(0, 0, 0);
  }

}


.btn{
  $self: &;
  border-radius: 0;  
  position: relative;
  padding-left: 1.5rem;
  padding-right: 1.5rem;

  &--cWhite{ color: white; }

  &__transparent{
    font-size: 12px;
    color: white;
    background-color: transparent;
    border: 1px solid white;
    padding: .75rem 1.5rem;
    text-transform: uppercase;
    &:hover{
      color: white;
      opacity: .7;
    }
  }

  &--radius{
    border-top-right-radius: 50px;
    border-top-left-radius: 50px;
    border-bottom-right-radius: 50px;
    border-bottom-left-radius: 50px;
  }

  &--blue{
    padding: .5rem 1rem;
    @include fonts-func($font-family, 400, 18px, white);
    border: 2px solid $blueColor;
    background-color: $blueColor;
    
    
    @include respond-to(desktops){
      padding: .75rem 2rem;
      font-size: 20px;
    }

    &:hover{
      background: none;      
      box-shadow: 0 0 38px rgba($blueColor, 0.8)
    }

    &.hBlue{
      &:hover{
        color: $blueColor;
      }
    }
  }

  &--noBG{
    background-color: transparent;
    border: 1px solid white;
    &:hover{
      color: white;
      border-color: $redColor;
      background-color: $redColor;      
    }
  }

  &:focus, &:hover, &:active{ outline: 0; }
}

.htitle{
  &--white{ color: white; }
  &--red{ color: $redColor; }
  &--blue{ color: $blueColor; }
  &--skyblue{ color: $skyblueColor; }

  &--tRight{ 
    text-align: right; 
    &:after{
      content: "";
      right: 0;
    }
  }
  &--tLeft{ 
    text-align: left; 
    &:after{
      content: "";
      left: 0;
    }
  }
  &--tCenter{ 
    text-align: center;
    &:after{
      content: "";
      left: 0;
      right: 0;
      margin: 0 auto;
    }
  }

  &--main{
    position: relative;
    padding-bottom: 2rem;
    margin-bottom: 2rem;
    
    &:after{
      content: "";
      position: absolute;
      bottom: 0;
      background-color: $redColor;
      width: 150px;
      height: 4px; 
    }
  }

  &--s1{ // on Home
    font-size: 26px;
    @include respond-to(desktops){
      font-size: 34px;
      font-weight: $fontWSemiBold;
    }
  }
  &--s2{ // on Home
    font-size: 16px;
    @include respond-to(desktops){
      font-size: 20px;
      font-weight: $fontWMedium;
    }
  }
  &--s3{ // on Home
    font-size: 36px;
    @include respond-to(desktops){
      font-size: 48px;
      font-weight: $fontWExtraBold;
    }
  }
  &--s4{ // on Home
    font-size: 21px;
    @include respond-to(desktops){
      font-size: 28px;
      font-weight: $fontWSemiBold;
    }
  }
  &--s5{ // on Home
    font-size: 18px;
    @include respond-to(desktops){
      font-size: 23px;
      font-weight: $fontWSemiBold;
    }
  }
  &--s6{ // on Home
    font-size: 17px;
    @include respond-to(desktops){
      font-size: 24px;
      font-weight: $fontWMedium;
    }
  }
}

.paragraph{
  margin-bottom: 0.5rem;

  &--cWhite{ color: white; }
  &--cGray{ color: $grayColor; }
  &--cSkyBlue{ color: $skyblueColor; }

  &--p1{
    font-size: 17px;    
    @include respond-to(desktops){
      font-size: 20px;
    }
  }
  &--p2{
    font-size: 15px;    
    @include respond-to(desktops){
      font-size: 18px;
    }
  }
}

.imgs{
  height: auto;

  &--s1{
    @include respond-to(desktops){
      height: 110px;
    }
  }

  &--sAuto{
    @include respond-to(desktops){
      width: 100%;
      height: 120%;
    }
  }

  &.objectFit{
    object-fit: cover;
  }
}


.alink{
  &--cSkyBlue{ 
    color: $skyblueColor; 
    &:hover{
      color: $blueColor; 
    }
  }
  &--cGray{ 
    color: $grayColor; 
    &:hover{
      color: $blueColor; 
    }
  }
}